import { Component, OnInit, Input,
    ChangeDetectorRef, ChangeDetectionStrategy } from '@angular/core'
import { ActivatedRoute } from '@angular/router'

import { AdminDataService } from '../../admin-data.service'
import { AdminBasketFile } from '../data.service'

@Component({
    selector: 'gisaf-admin-basket-item',
    templateUrl: './basket-item.component.html',
    styleUrls: ['./basket-item.component.css'],
    changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AdminBasketItemComponent implements OnInit {
    constructor(
        public adminDataService: AdminDataService,
        private route: ActivatedRoute,
        private cdr: ChangeDetectorRef,
    ) {}

    @Input() file: AdminBasketFile

    ngOnInit() {
    }
}