import { Component, OnInit, ChangeDetectorRef, ChangeDetectionStrategy } from '@angular/core'
import { ActivatedRoute } from '@angular/router'

import { AdminManageAccessDataService } from './access-data.service'

@Component({
    selector: 'gisaf-admin-users-roles',
    templateUrl: './users-roles.component.html',
    styleUrls: ['./users-roles.component.css'],
    changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AdminAccessComponent implements OnInit {
    constructor(
        private cdr: ChangeDetectorRef,
        private route: ActivatedRoute,
        public adminManageAccessDataService: AdminManageAccessDataService,
    ) {}

    ngOnInit() {
        this.adminManageAccessDataService.init()
    }
}