import { Component, Input,
    ChangeDetectorRef, ChangeDetectionStrategy } from '@angular/core'

import { Job, JobEvent } from './scheduler.service'

@Component({
    selector: 'gisaf-admin-scheduler-job',
    templateUrl: './job.component.html',
    styleUrls: ['./job.component.css'],
    //changeDetection: ChangeDetectionStrategy.OnPush,
    providers: [
    ],
})
export class AdminSchedulerJobComponent {
    protected wss: object = {} // WebSocketSubject<object>
    @Input() job: Job
    status: string = 'undef'
    lastRun: JobEvent

    constructor(
        private cdr: ChangeDetectorRef,
    ) {}
}