import { Component, Input, OnInit } from '@angular/core'

import { MatSnackBar } from '@angular/material/snack-bar'

import { FullInfo, Downloader } from '../info-data.service'

@Component({
    selector: 'gisaf-downloader',
    templateUrl: './downloader.component.html',
    styleUrls: ['./downloader.component.css']
})
export class DownloaderComponent implements OnInit {
    @Input() source: FullInfo
    @Input() downloader: Downloader

    constructor(
        private snackBar: MatSnackBar,
    ) {}

    ngOnInit() {
    }

    execute() {
        window.open('/downloader/' + this.downloader.name + '/' + this.source.modelInfo.store + '/' + this.source.featureInfo.id)
    }
}