import { NgModule } from '@angular/core'
import { CommonModule } from '@angular/common'

import { MatButtonModule } from '@angular/material/button'
import { MatFormFieldModule } from '@angular/material/form-field'
import { MatInputModule } from '@angular/material/input'
import { FormsModule, ReactiveFormsModule }   from '@angular/forms'

import { FlexLayoutModule } from 'ngx-flexible-layout'

import { LoginComponent } from './login.component'

@NgModule({
    imports: [
        CommonModule,

        MatFormFieldModule,
        MatInputModule,
        MatButtonModule,

        FormsModule,
        ReactiveFormsModule,

        FlexLayoutModule,
    ],
    declarations: [
        LoginComponent,
    ],
})

export class LoginModule {}
