import { NgModule } from '@angular/core'

import { KeysPipe, ValuesPipe, SafeHtmlPipe, OrderByPipe } from './pipes'

@NgModule({
    imports: [
        // dep modules
    ],
    declarations: [
        KeysPipe,
        ValuesPipe,
        SafeHtmlPipe,
        OrderByPipe
    ],
    exports: [
        KeysPipe,
        ValuesPipe,
        SafeHtmlPipe,
        OrderByPipe
    ]
})
export class PipesModule {}
