import { NgModule } from '@angular/core'
import { CommonModule } from '@angular/common'
import { ReactiveFormsModule } from '@angular/forms'

import { MatButtonModule } from '@angular/material/button'
import { MatCardModule } from '@angular/material/card'
import { MatCheckboxModule } from '@angular/material/checkbox'
import { MatFormFieldModule } from '@angular/material/form-field'
import { MatIconModule } from '@angular/material/icon'
import { MatInputModule } from '@angular/material/input'
import { MatSelectModule } from '@angular/material/select'

import { JoinSelectComponent } from './join-select.component'

import { AdminDetailComponent } from './admin-detail.component'

@NgModule({
    imports: [
        CommonModule,

        ReactiveFormsModule,
        
        MatButtonModule,
        MatCardModule,
        MatCheckboxModule,
        MatFormFieldModule,
        MatIconModule,
        MatInputModule,
        MatSelectModule,
    ],
    declarations: [
        AdminDetailComponent,
        JoinSelectComponent
    ],
    exports: [
        AdminDetailComponent,
        JoinSelectComponent
    ]
})
export class AdminDetailModule { }
