import { Component, Input } from '@angular/core'

import { AuthenticationService } from '../../_services/authentication.service'
import { AdminBasket } from '../admin-basket/data.service'

@Component({
    selector: 'gisaf-admin-menu',
    templateUrl: './admin-menu.component.html',
    styleUrls: ['./admin-menu.component.css'],
})
export class AdminMenuComponent {
    @Input() adminModelsMenuItems: object[]
    @Input() baskets: AdminBasket[]
    constructor(
        public authenticationService: AuthenticationService
    ) {}
}
