import { Component, Inject } from '@angular/core'
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog'


export interface DialogData {
    instruction: string,
    baseMapName: string,
    stores: string[]
}

@Component({
    selector: 'create-base-map-dialog',
    templateUrl: './create-base-map-dialog.html',
})
export class CreateBaseMapDialogComponent {
    constructor(
        public dialogRef: MatDialogRef<CreateBaseMapDialogComponent>,
        @Inject(MAT_DIALOG_DATA) public data: DialogData,
    ) {}
}
