/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import type { Observable } from 'rxjs';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
@Injectable({
    providedIn: 'root',
})
export class GeoapiService {
    constructor(public readonly http: HttpClient) {}
    /**
     * Get Geojson
     * Some REST stores coded manually (route prefixed with "gj": geojson).
     * :param store_name: name of the model
     * :return: json
     * @returns any Successful Response
     * @throws ApiError
     */
    public getGeojsonApiGjStoreNameGet({
        storeName,
        ifNoneMatch,
        simplify,
        preserveTopology,
    }: {
        storeName: any,
        ifNoneMatch?: (string | null),
        simplify?: (number | null),
        preserveTopology?: (boolean | null),
    }): Observable<any> {
        return __request(OpenAPI, this.http, {
            method: 'GET',
            url: '/api/gj/{store_name}',
            path: {
                'store_name': storeName,
            },
            headers: {
                'If-None-Match': ifNoneMatch,
                'simplify': simplify,
                'preserveTopology': preserveTopology,
            },
            errors: {
                404: `Not found`,
                422: `Validation Error`,
            },
        });
    }
}
